SparkFun Real Time Clock Module - RV-8803 (Qwiic) Arduino Library
========================================

![SparkFun Real Time Clock Module - RV-8803 (Qwiic)](https://cdn.sparkfun.com/assets/parts/1/4/9/6/8/16281-SparkFun_Real_Time_Clock_Module_-_RV-8803__Qwiic_-01.jpg)

[*SparkFun Qwiic Real Time Clock Module - RV-8803 (Qwiic) (BOB-16281)*](https://www.sparkfun.com/products/16281)

The RV-8803 is an extremely precise, low power, highly configurable RTC. Under ideal conditions it runs at approximately 240nA with +/-3ppm per year of deviation with a temperature compensated crystal.

This library allows the user to:

* Set time using hard numbers or the BUILD_TIME from the Arduino compiler
* Read time
* Configure various aspects of the RTC including setting of alarms, interrupts, and wave outputs

Examples are included to get you started

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------
* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Real Time Clock Module - RV-8803 (Qwiic) Hookup Guide](https://learn.sparkfun.com/tutorials/real-time-clock-module---rv-8803-qwiic-hookup-guide)** - A Hookup Guide for the RV-8803 Qwiic breakout.
* **[Product Repository](https://github.com/sparkfun/Qwiic_Real_Time_Clock_RV-8803)** - Main repository (including hardware files) for the SparkFun Qwiic RTC Breakout.

Products That Use This Library 
---------------------------------
* [BOB-16281](https://www.sparkfun.com/products/16281) - SparkFun Real Time Clock Module - RV-8803 (Qwiic)

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact techsupport@sparkfun.com.

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release any derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
